package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 实体
 * 表名 mall_topic
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public class TopicEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 活动主题
     */
    private String title;
    /**
     * 活动内容
     */
    private String content;
    /**
     * 活动图片
     */
    private String itemPicUrl;
    /**
     * 子标题
     */
    private String subtitle;
    /**
     * 活动类别
     */
    private Integer promTypeId;
    /**
     * 活动价格
     */
    private BigDecimal priceInfo;
    /**
     * 浏览次数
     */
    private Integer readCount;
    /**
     * 场景图片链接
     */
    private String scenePicUrl;
    /**
     * 活动模板Id
     */
    private Integer topicTemplateId;
    /**
     * 活动标签Id
     */
    private Integer topicTagId;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 第三方商户id
     */
    private Integer thirdMerchSn;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：活动主题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取：活动主题
     */
    public String getTitle() {
        return title;
    }
    /**
     * 设置：活动内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 获取：活动内容
     */
    public String getContent() {
        return content;
    }
    /**
     * 设置：活动图片
     */
    public void setItemPicUrl(String itemPicUrl) {
        this.itemPicUrl = itemPicUrl;
    }

    /**
     * 获取：活动图片
     */
    public String getItemPicUrl() {
        return itemPicUrl;
    }
    /**
     * 设置：子标题
     */
    public void setSubtitle(String subtitle) {
        this.subtitle = subtitle;
    }

    /**
     * 获取：子标题
     */
    public String getSubtitle() {
        return subtitle;
    }
    /**
     * 设置：活动类别
     */
    public void setPromTypeId(Integer promTypeId) {
        this.promTypeId = promTypeId;
    }

    /**
     * 获取：活动类别
     */
    public Integer getPromTypeId() {
        return promTypeId;
    }
    /**
     * 设置：活动价格
     */
    public void setPriceInfo(BigDecimal priceInfo) {
        this.priceInfo = priceInfo;
    }

    /**
     * 获取：活动价格
     */
    public BigDecimal getPriceInfo() {
        return priceInfo;
    }
    /**
     * 设置：浏览次数
     */
    public void setReadCount(Integer readCount) {
        this.readCount = readCount;
    }

    /**
     * 获取：浏览次数
     */
    public Integer getReadCount() {
        return readCount;
    }
    /**
     * 设置：场景图片链接
     */
    public void setScenePicUrl(String scenePicUrl) {
        this.scenePicUrl = scenePicUrl;
    }

    /**
     * 获取：场景图片链接
     */
    public String getScenePicUrl() {
        return scenePicUrl;
    }
    /**
     * 设置：活动模板Id
     */
    public void setTopicTemplateId(Integer topicTemplateId) {
        this.topicTemplateId = topicTemplateId;
    }

    /**
     * 获取：活动模板Id
     */
    public Integer getTopicTemplateId() {
        return topicTemplateId;
    }
    /**
     * 设置：活动标签Id
     */
    public void setTopicTagId(Integer topicTagId) {
        this.topicTagId = topicTagId;
    }

    /**
     * 获取：活动标签Id
     */
    public Integer getTopicTagId() {
        return topicTagId;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：第三方商户id
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：第三方商户id
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
